Subject: bug#72069: [PATCH] Move configuration of auto-mode-alist out of js-ts-mode

From: Damien Cassou <[email-masked]>
Date: Mon, 29 Jul 2024 20:20:12 +0200

Hi Stefan,

thank you very much for your review.

Stefan Kangas <[email-masked]> writes:
> Damien Cassou <[email-masked]> writes:
> What about js-mode?  Shouldn't that be used out-of-the-box for these files?

Definitely, I don't know what I was thinking. I'm not sure there is
anything to save on this patch.

If you believe I should wrap the call to `add-to-list' within a `(if
(treesit-ready-p js) ...)' block I will do that but I don't think this
is how things are done for other kinds of files. Otherwise, feel free to
close this ticket and please forgive me.

Best

>>>>From 7fc9bb52a9f51a8caf4d5d016dc8a8812dd5c6a3 Mon Sep 17 00:00:00 2001
>> From: Damien Cassou <[email-masked]>
>> Date: Fri, 12 Jul 2024 09:50:45 +0200
>> Subject: [PATCH] Move configuration of auto-mode-alist out of js-ts-mode
>>
>> * lisp/progmodes/js.el (js-ts-mode): Remove configuration of
>> auto-mode-alist.
>> ---
>>  lisp/progmodes/js.el | 6 +++---
>>  1 file changed, 3 insertions(+), 3 deletions(-)
>>
>> diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
>> index f8140c14a49..c3e6077a352 100644
>> --- a/lisp/progmodes/js.el
>> +++ b/lisp/progmodes/js.el
>> @@ -3957,10 +3957,10 @@ js-ts-mode
>>                                          "method_definition")
>>                                  eos)
>>                     nil nil)))
>> -    (treesit-major-mode-setup)
>> +    (treesit-major-mode-setup)))
>>
>> -    (add-to-list 'auto-mode-alist
>> -                 '("\\(\\.js[mx]\\|\\.har\\)\\'" . js-ts-mode))))
>> +(add-to-list 'auto-mode-alist
>> +             '("\\(\\.js[mx]\\|\\.har\\)\\'" . js-ts-mode))
>
> Shouldn't this be wrapped in
>
>     (if (treesit-ready-p js) ...)
>
> ?
>
>>
>>  (derived-mode-add-parents 'js-ts-mode '(js-mode))

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill